Bug 180735 - startx - black screen and no keyboard - RV350 AP [Radeon 9600]
startx - black screen and no keyboard - RV350 AP [Radeon 9600]
Status: CLOSED UPSTREAM
Product: Fedora
Classification: Fedora
Component: xorg-x11-drv-ati (Show other bugs)
rawhide
ppc64 Linux
medium Severity medium
: ---
: ---
Assigned To: X/OpenGL Maintenance List
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-02-09 17:00 EST by shrek-m
Modified: 2007-11-30 17:11 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-03-04 18:07:21 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
xorg.conf pmg5 ati (2.46 KB, text/plain)
2006-02-09 17:01 EST, shrek-m
no flags Details
Xorg.log pmg5 ati (63.07 KB, text/plain)
2006-02-09 17:02 EST, shrek-m
no flags Details
lspci -vv pmg5 ati (11.81 KB, text/plain)
2006-02-09 17:03 EST, shrek-m
no flags Details

  None (edit)
Description shrek-m 2006-02-09 17:00:34 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.7.12) Gecko/20050922 Fedora/1.7.12-1.3.1

Description of problem:
minimal clean rawhide install 20060208 - powermac g5
install xorg*, gnome*, ...
startx results in a black screen and the keyboard is lost == freeze
logon via ssh is possible.


Version-Release number of selected component (if applicable):
xorg-x11-drv-ati-6.5.7.3-3  xorg-x11-server-Xorg-1.0.1-6

How reproducible:
Always

Steps to Reproduce:
1. startx

Actual Results:  freeze

system-config-display-1.0.36-1
# system-config-display
Traceback (most recent call last):
  File "/usr/share/system-config-display/xconf.py", line 22, in ?
    import gobject
ImportError: /usr/lib/python2.4/site-packages/gtk-2.0/gobject.so: wrong ELF class: ELFCLASS32

Additional info:

vesa or radeon driver == the same

# uname -a
Linux pmg5 2.6.15-1.1915_FC5 #1 SMP Tue Feb 7 15:16:03 EST 2006 ppc64 ppc64 ppc64 GNU/Linux
Comment 1 shrek-m 2006-02-09 17:01:45 EST
Created attachment 124458 [details]
xorg.conf pmg5 ati
Comment 2 shrek-m 2006-02-09 17:02:56 EST
Created attachment 124459 [details]
Xorg.log pmg5 ati
Comment 3 shrek-m 2006-02-09 17:04:00 EST
Created attachment 124460 [details]
lspci -vv pmg5 ati
Comment 4 Mike A. Harris 2006-02-14 08:27:16 EST
Please change the attachments to type "text/plain" so they're browser readable.

Thanks in advance.
Comment 5 Mike A. Harris 2006-02-21 06:19:44 EST
If this problem is still present in FC5test3, please report this issue
to X.Org developers by filing a bug report in the X.Org bugzilla located
at http://bugs.freedesktop.org in the "xorg" component.

Once you've filed your bug report to X.Org, if you paste the new
bug URL here, Red Hat will continue to track the issue in the
centralized X.Org bug tracker, and will review any bug fixes that
become available for consideration in future updates.

Setting status to "NEEDINFO_REPORTER", awaiting X.Org bug URL
for tracking.  Please provide an upstream bug URL as soon as
possible if you would like us to continue tracking this issue, however
if the problem no longer occurs, or you're no longer interested in
tracking the issue, no update is needed and the bug will be closed
automatically in about 2 weeks.

Thanks in advance.
Comment 6 shrek-m 2006-02-23 17:19:14 EST
clean fresh fc5t3 install with X + Gnome
thanks, `startx` is ok now.

$ diff xorg.conf-pmg5-ati xorg.conf-pmg5-ati-fc5t3
$


fyi
switching from X=tty7 to an other tty  eg. with alt+ctrl+f1
==> black screen, no keyboard and X is lost once again
xorg\* gnome\* are up2date with yum

bug at freedesktop.org will follow
Comment 7 shrek-m 2006-02-28 15:46:00 EST
https://bugs.freedesktop.org/show_bug.cgi?id=6071
"switch/logout/shutdown/...  from X --> black screen and no keyboard - RV350 AP
[Radeon 9600]"
Comment 8 rafikk 2006-03-03 03:24:22 EST
Have caind of similar thing with latest test 3 release.
Radeon 9550
After installation monitor displayed message unsupported resolution (1280x1024
?), then only black screen. After few resets i was able to kill X server, login 
via console.
Changed driver to vesa, started X, changed driver to ati again.
Changed resolution to 1024x768 - now it works, but only for 1024, any other 
resolution do not display a thing, just black screen.
Comment 9 Mike A. Harris 2006-03-04 18:07:21 EST
Tracking in upstream bug https://bugs.freedesktop.org/show_bug.cgi?id=6071 now.

Note You need to log in before you can comment on or make changes to this bug.